Bug 1417795 - SELinux is preventing qemu-system-x86 from 'read' accesses on the directory XP.
Summary: SELinux is preventing qemu-system-x86 from 'read' accesses on the directory XP.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:fb550583d65aee5a954738b6e91...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-31 04:38 UTC by cutnioff
Modified: 2017-12-12 10:35 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:35:52 UTC
Type: ---


Attachments (Terms of Use)

Description cutnioff 2017-01-31 04:38:18 UTC
Description of problem:
Starting KVM\quemu VM with W10. There are 2 mounted shares in W10 from Fedora PC, so one of them has name 'XP'

RECOMMENDED SOLUTION NOT WORK:

09:35:04 @ 1 [~]
root@localhost: # ausearch -c 'qemu-system-x86' --raw | audit2allow -M my-qemusystemx86
compilation failed:
my-qemusystemx86.te:21:ERROR 'syntax error' at token 'mlsconstrain' on line 21:
#	mlsconstrain file { ioctl read lock execute execute_no_trans } ((h1 dom h2 -Fail-)  or (t1 != mcs_constrained_type -Fail-) ); Constraint DENIED
mlsconstrain file { write setattr append unlink link rename } ((h1 dom h2 -Fail-)  or (t1 != mcs_constrained_type -Fail-) ); Constraint DENIED
/usr/bin/checkmodule:  error(s) encountered while parsing configuration
/usr/bin/checkmodule:  loading policy configuration from my-qemusystemx86.te

09:35:13 @ 1 [~]
root@localhost: # semodule -X 300 -i my-qemusystemx86.pp
libsemanage.map_file: Unable to open my-qemusystemx86.pp
 (No such file or directory).
libsemanage.semanage_direct_install_file: Unable to read file my-qemusystemx86.pp
 (No such file or directory).
semodule:  Failed on my-qemusystemx86.pp!
SELinux is preventing qemu-system-x86 from 'read' accesses on the directory XP.

*****  Plugin catchall (100. confidence) suggests   **************************

If вы считаете, что qemu-system-x86 следует разрешить доступ read к XP directory по умолчанию.
Then рекомендуется создать отчет об ошибке.
Чтобы разрешить доступ, можно создать локальный модуль политики.
Do
allow this access for now by executing:
# ausearch -c 'qemu-system-x86' --raw | audit2allow -M my-qemusystemx86
# semodule -X 300 -i my-qemusystemx86.pp

Additional Information:
Source Context                system_u:system_r:svirt_t:s0:c347,c863
Target Context                unconfined_u:object_r:samba_share_t:s0
Target Objects                XP [ dir ]
Source                        qemu-system-x86
Source Path                   qemu-system-x86
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-225.6.fc25.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.9.5-200.fc25.x86_64 #1 SMP Fri
                              Jan 20 12:24:16 UTC 2017 x86_64 x86_64
Alert Count                   4
First Seen                    2017-01-31 09:30:26 +05
Last Seen                     2017-01-31 09:30:26 +05
Local ID                      b761791b-a174-4d6d-806c-f4f186a16ba5

Raw Audit Messages
type=AVC msg=audit(1485837026.996:278): avc:  denied  { read } for  pid=2397 comm="qemu-system-x86" name="XP" dev="dm-2" ino=36045376 scontext=system_u:system_r:svirt_t:s0:c347,c863 tcontext=unconfined_u:object_r:samba_share_t:s0 tclass=dir permissive=0


Hash: qemu-system-x86,svirt_t,samba_share_t,dir,read

Version-Release number of selected component:
selinux-policy-3.13.1-225.6.fc25.noarch

Additional info:
reporter:       libreport-2.8.0
hashmarkername: setroubleshoot
kernel:         4.9.5-200.fc25.x86_64
type:           libreport

Comment 1 cutnioff 2017-02-06 04:10:20 UTC
Description of problem:
KVM\qemu w10-guest starting

Version-Release number of selected component:
selinux-policy-3.13.1-225.6.fc25.noarch

Additional info:
reporter:       libreport-2.8.0
hashmarkername: setroubleshoot
kernel:         4.9.6-200.fc25.x86_64
type:           libreport

Comment 2 cutnioff 2017-02-06 04:38:22 UTC
# ausearch -c 'qemu-system-x86' --raw | audit2allow -M my-qemusystemx86
compilation failed:
my-qemusystemx86.te:21:ERROR 'syntax error' at token 'mlsconstrain' on line 21:
#	mlsconstrain file { ioctl read lock execute execute_no_trans } ((h1 dom h2 -Fail-)  or (t1 != mcs_constrained_type -Fail-) ); Constraint DENIED
mlsconstrain file { write setattr append unlink link rename } ((h1 dom h2 -Fail-)  or (t1 != mcs_constrained_type -Fail-) ); Constraint DENIED
/usr/bin/checkmodule:  error(s) encountered while parsing configuration
/usr/bin/checkmodule:  loading policy configuration from my-qemusystemx86.te

Comment 3 Fedora End Of Life 2017-11-16 18:31:06 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-12-12 10:35:52 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.